lucenenet-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shad Storhaug (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (LUCENENET-508) C# 2.0 support
Date Thu, 29 Jun 2017 08:17:08 GMT

     [ https://issues.apache.org/jira/browse/LUCENENET-508?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Shad Storhaug closed LUCENENET-508.
-----------------------------------
       Resolution: Won't Fix
    Fix Version/s:     (was: Lucene.Net 3.6)

Since Microsoft no longer supports .NET 2.0 and support for .NET 3.5 will end in 2020 when
the old OS support ends (https://blogs.msdn.microsoft.com/dotnet/2015/12/09/support-ending-for-the-net-framework-4-4-5-and-4-5-1/),
I don't think this should be on our radar.

We might consider bringing .NET 3.5 support to Lucene.Net 4.8.0 if there is enough interest
(and a volunteer or two to help out)

> C# 2.0 support
> --------------
>
>                 Key: LUCENENET-508
>                 URL: https://issues.apache.org/jira/browse/LUCENENET-508
>             Project: Lucene.Net
>          Issue Type: Wish
>    Affects Versions: Lucene.Net 3.0.3, Lucene.Net 3.6, Lucene.Net 4.0
>            Reporter: Dmitry Sloutskov
>         Attachments: HashSet.cs, LinqBridge.cs
>
>
> I propose support builds in the environment NET 2.0 (required for MS SQL 2005/2008).
I compiled version 3.0.3 adding to core\Support\Compatibility 2 files:
> 1. LINQBridge - http://code.google.com/p/linqbridge/
> 2. HashSet <T> implementation of mono-project.
> Please consider this opportunity.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message